> For the complete documentation index, see [llms.txt](https://docs.atfinity.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.atfinity.io/rule-language/operators/special-operators/assign.md).

# :=

### Description

`:=` always has an information field on its left (domicile, risk\_level, etc.), and any kind of expression on its right side.

Attaching a condition with `:=` to a field, means the field will only be assigned a value based on this condition if it doesn't already have a value. If a user has already provided a value for the field, the system will not override that value.

{% hint style="success" %}
This operator can only be used when [writing](broken://pages/-ML6r4mAXDaMTNMbDnL2) the assignment part of a [process rule](broken://pages/-MLCQQUjwgNG2Vd_Onez).
{% endhint %}

### Examples

```
p is Person
---
p.tax_country := p.domicile
```

The field `tax_country`will be assigned the same value as the field `domicile`, unless another value for `tax_country`has already been provided.

```
c is Contract
---
c.service := asset_management
```

The service attached to this contract will be 'Asset Management', unless another service has already been entered in the field `service`.

```
p is Person
---
p.full_name := CONCAT(p.first_name, ' ', p.last_name)
```

The field `full_name` will receive a value that is the combination of the values in the fields `first_name` and `last_name`, separated by a space. Again: only if the field `full_name` hasn't already been assigned a value.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.atfinity.io/rule-language/operators/special-operators/assign.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
